%global engine_doc %{_docdir}/ovirt-engine/manual
%global src_locale ja-JP
%global beta 0
%global product_line 3.2
%if 0%{?beta}
%define depsuffix -Beta
%endif

Name:          rhevm-doc-ja-JP
Version:       %{product_line}.1
Release:       2%{?dist}
Summary:       Red Hat Enterprise Virtualization %{src_locale} documentation
Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.redhat.com
Source:        %{name}-%{version}.tar.gz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      xdg-utils

BuildRequires:    Red_Hat_Enterprise_Linux-Hypervisor_Deployment_Guide-6-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Linux-V2V_Guide-6-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Administration_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Installation_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Developer_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Evaluation_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Power_User_Portal_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Quick_Start_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Technical_Reference_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-User_Portal_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Command_Line_Shell_Guide-%{product_line}%{?depsuffix}-web-%{src_locale}

%description

This package contains translations of the Red Hat Enterprise Virtualization 
documentation for the %{src_locale} locale in html and pdf format.

%prep
%setup -q -c .


%build

%install
rm -rf "%{buildroot}"
mkdir -p "%{buildroot}"/"%{engine_doc}"/en-US
mkdir -p "%{buildroot}"/"%{engine_doc}"/"%{src_locale}"
mkdir -p "%{buildroot}"/"%{engine_doc}"/common
mkdir -p "%{buildroot}"/"%{engine_doc}"/RedHat

# Only copy en-US guides if they are exist (indicates they are needed for fallback).
if [[ -d "/var/www/html/docs/en-US/Red_Hat_Enterprise_Virtualization/" && \
      -d "/var/www/html/docs/en-US/Red_Hat_Enterprise_Linux/" ]]; then
	cp -r /var/www/html/docs/en-US/Red_Hat_Enterprise_{Virtualization,Linux}/*/html "%{buildroot}"/"%{engine_doc}"/en-US
	cp -r /var/www/html/docs/en-US/Red_Hat_Enterprise_{Virtualization,Linux}/*/pdf "%{buildroot}"/"%{engine_doc}"/en-US
fi

# Check at least one translated RHEL book is installed, otherwise the copies will fail.
if [ -d "/var/www/html/docs/"%{src_locale}"/Red_Hat_Enterprise_Linux/" ]; then
    cp -r /var/www/html/docs/"%{src_locale}"/Red_Hat_Enterprise_Linux/*/html "%{buildroot}"/"%{engine_doc}"/"%{src_locale}"
    cp -r /var/www/html/docs/"%{src_locale}"/Red_Hat_Enterprise_Linux/*/pdf "%{buildroot}"/"%{engine_doc}"/"%{src_locale}"
fi

# Check at least one translated RHEV book is installed, otherwise the copies will fail.
if [ -d "/var/www/html/docs/"%{src_locale}"/Red_Hat_Enterprise_Virtualization/" ]; then
    cp -r /var/www/html/docs/"%{src_locale}"/Red_Hat_Enterprise_Virtualization/*/html/ "%{buildroot}"/"%{engine_doc}"/"%{src_locale}"
    cp -r /var/www/html/docs/"%{src_locale}"/Red_Hat_Enterprise_Virtualization/*/pdf/ "%{buildroot}"/"%{engine_doc}"/"%{src_locale}"
fi


# PDF files contain the version in their filename. We don't want to include the
# -Beta, because that will break the splash page.
%if 0%{?beta}
find "%{buildroot}%{engine_doc}/%{src_locale}/pdf" -name '*.pdf' | while read f; do
    if echo "${f}" | grep -q Beta; then
        mv "${f}" "$(echo "${f}" | sed 's/%{depsuffix}//')"
    fi
done
%endif


# Remove JavaScript logic that wont work for local site.
find "%{buildroot}%{engine_doc}/%{src_locale}" -name '*.html' | while read f; do
    sed -i -e :a -e 's#<script type="text/javascript".*</script>##g;/</N;//ba;' "${f}"
    sed -i -e :a -e 's#<div id="tocdiv" class="toc"><iframe.*</iframe></div>##g;/</N;//ba;' "${f}"
    sed -i -e 's#\.\./\.\./\(\.\./\.\./\.\./\)#\1#g' "${f}"
done

# Link common content back to en-US css/images. Common content keeps the source locale because that is what the HTML expects.
cd "%{buildroot}"/"%{engine_doc}"/common
ln -s en-US "%{src_locale}"
cd -
cd "%{buildroot}"/"%{engine_doc}"/RedHat
ln -s en-US "%{src_locale}"
cd -

# Clean out the en-US materials to avoid packaging them (they belong in rhevm-doc), leaving them here
# but ommiting them from the files section would result in an error.
rm -rf "%{buildroot}"/"%{engine_doc}"/en-US

%clean
rm -rf "%{buildroot}"


%files 
%defattr(-,root,root,-)
%doc %{engine_doc}/%{src_locale}
%doc %{engine_doc}/common/%{src_locale}
%doc %{engine_doc}/RedHat/%{src_locale}

%changelog
* Tue Jun 25 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.1-2
- 3.2.1-2

* Tue Jun 25 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.1-1
- 3.2.1-1

* Mon May 29 2013 Ohad Basan <obasan@redhat.com> - 3.2.0-0.2.rc
- 3.2.0-0.1.rc

* Mon May 13 2013 Kiril Nesenko <knesenko@redhat.com> - 3.2.0-0.1.rc
- 3.2.0-0.1.rc
